sub GetLastDay {
    my($year, $mon) = @_;
    if(!$year || !$mon) {return;}
    if($year < 1900 || $year > 2023) {return;}
    if($mon < 1 || $mon > 12) {return;}
    if($mon == 12) {$mon = 0;}
    my $time = timelocal(0, 0, 0, 1, $mon, $year-1900);
    $time -= 60*60*24;
    my @date = localtime($time);
    return $date[3];
}

1;
